{{ ansible_managed | comment }}

DEBUG="false"
LOGGING_LEVEL="{{ matrix_sync_logging_level | default('DEBUG') }}"
SLEEP_TIME={{ matrix_sync_sleep | default('1m') }}
FULL_SYNC_TIME={{matrix_sync_full_sync_time | default(2)}}

KEYCLOAK_URL="https://{{keycloak_service_name}}"
KEYCLOAK_REALM="{{ matrix_sync_keycloak_client_realm }}"
KEYCLOAK_CLIENT_ID="{{ matrix_sync_keycloak_client_client_id }}"
KEYCLOAK_SECRET="{{ matrix_sync_keycloak_client_secret }}"
KEYCLOAK_REQUIRED_ACTIONS="{{ keycloak_required_user_actions | to_json | quote }}"
KEYCLOAK_DECISION_STRATEGY="AFFIRMATIVE"
KEYCLOAK_POLICY_ENFORCEMENT_MODE="ENFORCING"
KEYCLOAK_AUTHZ_CLIENT="realm-management"

MATRIX_USERNAME="@{{ matrix_sync_user }}:{{ matrix_domain }}"
MATRIX_ACCESS_TOKEN="{{ matrix_sync_access_token }}"
MATRIX_HOMESERVER="https://{{ matrix_homeserver_name }}"
MATRIX_HOMESERVER_TAG="{{ matrix_domain }}"
MATRIX_AUTO_INVITE="{{ matrix_with_auto_invite | default('false') }}"

SYNC_IGNORE_GROUPS={{ matrix_sync_ignore_groups | to_json | quote }}
SYNC_IGNORE_USERS={{ matrix_sync_ignore_users | to_json | quote }}

ALERTA_API_URL="{{           matrix_sync_alerta_api_url           }}"
ALERTA_API_KEY="{{           matrix_sync_alerta_api_key           }}"
ALERTA_ALERT_ENVIRONMENT="{{ matrix_sync_alerta_alert_environment }}"
ALERTA_ALERT_SERVICE="{{     matrix_sync_alerta_alert_service     }}"
ALERTA_ALERT_RESOURCE="{{    matrix_sync_alerta_alert_resource    }}"
